unit Unit21;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DB, ADODB, ComCtrls, ExtCtrls, DBCtrls, Grids, DBGrids,
  OleCtrls, SHDocVw, StdCtrls;

type
  TForm1 = class(TForm)
    con1: TADOConnection;
    dsTest: TDataSource;
    tblTest: TADOTable;
    grp2: TGroupBox;
    dbnvgr2: TDBNavigator;
    dbg2: TDBGrid;
    procedure tblTestNewRecord(DataSet: TDataSet);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.tblTestNewRecord(DataSet: TDataSet);
begin
  tblTest.FieldByName('Nomer').AsInteger := tblTest.RecordCount + 1;
  tblTest.FieldByName('Otvet').AsString := 'A';
end;

end.
